/*
Global ADC functions
*/
/* Cyrus Harrison (cdh@cise.ufl.edu) */


/*ADC Macros*/
#define	SAMP_LEYE  adc_sample(0)
#define SAMP_REYE  adc_sample(1)
#define SAMP_BBEAM adc_sample(5)
#define SAMP_BUMP  bump_resolve(adc_sample(7))

/*ADC Threshold Values*/
#define BROKEN 0x3A0
#define LEYE_THRESHOLD 0x170
#define REYE_THRESHOLD 0x1A0

/* ADC Functions*/
extern void 		ADC_Init	(void);
extern unsigned short  	adc_sample  	(unsigned char port);
extern unsigned char	bump_resolve	(unsigned short bump);
	
	

