/*
LINX RF Rx Functions
*/
/* Cyrus Harrison (cdh@cise.ufl.edu) */

#include <io.h>
#include <progmem.h>
#include "rf.h"

/*Init RF*/
void rf_init()
{
	/*Pins 48 thru 44*/
	/*PA3 thru PA7   */
	/*PA3 Powers Up the Rec*/
	outp(0x08, DDRA);
	outp(0x08, PORTA);
	
	/* Setup Staging Light Switch*/
	outp(0x20,DDRD);
	outp(0x20,PORTD);
	
}

/*Return Current RF Value*/
unsigned char rf_read()
{return (inp(PINA)&0xf0 )>> 4;}

/*Power Down RF Rcver*/
void rf_pdn()
{outp(0x00,PORTA);}
/*Power Up RF Rcver*/
void rf_pup()
{outp(0x08,PORTA);}



